
Redmine - Feature #643

Issue description templates

2008-02-12 18:49 - Yonni Mendes

Status: New Start date: 2008-02-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: Unplanned backlogs   

Resolution:    

Description

When opening new issues it would help guiding the user to be as detailed as possible if an administrator could create a predefined

template per tracker (per project?). Such a template need only be displayed as stand in text in the description field so that the user

can then replace template parts with the actual input.

Related issues:

Related to Redmine - Patch #2931: Templating for description of new tickets b... New

Related to Redmine - Feature #6715: Issue templates New 2010-10-20

Has duplicate Redmine - Feature #12807: Add template per project for new issue Closed

Has duplicate Redmine - Feature #3153: Default description text Closed 2009-04-10

Has duplicate Redmine - Feature #3594: Custom default value of the descriptio... Closed 2009-07-07

History

#1 - 2008-02-12 20:44 - Thomas Lecavelier

I don't think it's a "want-have" feature:

Even if it should be a good idea to teach BTS usage to new users, they soon will be proficient in using it, so entering an issue using n pages will

become time-consuming. Organizing a small meeting presenting the tool with some real-usage of the tool for each attendee should be more valuable.

(or maybe I haven't understand your idea :) )

#2 - 2008-03-09 20:39 - Ale Muñoz

+1 for this.

What he is suggesting is this:

- When the user clicks on "New Issue", the description field is pre-filled with a text like this:

What you did

------------------------------------------------------

Please describe what you were doing when you found the issue

Expected result

------------------------------------------------------

What were you expecting to happen?

Obtained result

------------------------------------------------------

What happened instead

Environment

------------------------------------------------------

Please tell us what is your operating system, version, browser, etc...

(or words to that effect)

Check http://twitter.com/help and you will understand. That form is a masterpiece of design, and is used a lot like a good example of how things

should be done : )

#3 - 2008-03-09 22:54 - Jean-Philippe Lang
Check http://twitter.com/help and you will understand

 You can have a pretty close result using custom fields.

#4 - 2008-09-01 17:13 - Adam Bates

I was wondering if this suggestion would be revisited, as for a consistency reason it would a great feature. We have three very different trackers which

have three different purposes. It would be good to provide a template for the user to provide verbose responses within a structure.

#5 - 2010-08-12 07:28 - Light Kong

Similar request to #2931.

#6 - 2010-08-13 06:27 - Mischa The Evil

- Subject changed from Description templates to Issue description templates

- Category changed from UI to Issues

This is indeed related to patch #2931, which is related also to issue #1138 which itself seemed to be a duplicate of this issue. I've closed #1138 in

favor of this older issue.

I've also modified this issues properties subject and category to make it easier to find.

#7 - 2010-09-30 13:51 - Erwin Mueller

+1

It would be great if you can specify a template per project and one to each issue category (bug/feature/support).

For example, what I like to have for issue type feature:

Abstract

--------

Description

-----------

Example

-------

You can't have this with custom fields, because if you add custom fields, they will be under the description text field, below the standard fields, above

the files upload field.

#8 - 2010-10-11 14:54 - Damien Couderc

Hi all,

It would also be even more useful if it was possible to have multiple templates for multiple kind of issue of the same tracker.

#9 - 2011-01-18 20:23 - Antoine Roux

Yes, I would love to have that as well. One template per tracker would be perfect in my case.

#10 - 2011-04-08 14:51 - Sylvain Guimond

+1 It would be useful!

#11 - 2011-07-20 16:21 - Sunil Babu

+1

#12 - 2011-08-01 20:46 - Josh Davidson

+1

#13 - 2011-08-03 23:59 - Terence Mill

+1

Templates shall support wiki marcos also

#14 - 2011-08-04 18:44 - tim lin

+1, it would be very useful.

#15 - 2011-09-02 16:18 - Mike Rötgers
+1, indeed very useful

#16 - 2011-10-19 03:48 - Andrey Zubkov

+1 vote

#17 - 2012-02-01 23:37 - Slan Buas

+1

#18 - 2012-02-01 23:52 - Terence Mill

Please vote for issue template extension for RedMine-plantillas-plugin. Wiki templates already working!

#19 - 2012-06-30 00:48 - Anonymous

+1 vote

#20 - 2012-08-22 19:59 - Jonas J

+1 needs to be on trunk

#21 - 2013-02-27 14:37 - Etienne Massip

- Target version set to Candidate for next major release

#22 - 2013-02-28 18:57 - Rodrigo Ramalho

+1 vote

#23 - 2013-06-24 10:15 - Olivier Houdas

+1 vote

We had it in our previous BTS (home-made), and now that we are shifting to Redmine, this would be greatly appreciated.

Note that we allow everybody in the company to enter bugs, hence the need to be a bit directive on the description.

#24 - 2013-07-25 02:08 - Matthew Houston

Not sure if the template ticket should have been closed as duplicated. http://www.redmine.org/issues/12807

I think this particular ticket is already addressed by the custom fields.  If that info is required then a custom field can be created and set as required?

Templates on the other hand are a different matter. For instance we are managing store installations with Redmine and to be able to have a template

with pre-filled relationships and sub-tasks based on different criteria that the user could select would be great.

At the moment we just have an existing issue with all sub-issues created and linked, but it doesn't cover nearly enough, having the user select from a

list would be awesome!  While it is handled currently by a plugin,  the rapid rate of releases is seeing a lot of these plugins just fall by the wayside

unfortunately...

#25 - 2013-08-08 17:55 - Anonymous

+1 for a template per tracker and per project

#26 - 2013-09-19 16:52 - Gurvan Le Dromaguet

+1. Have been using it for a long time the patch at http://www.redmine.org/issues/2931, simple and working !

UPDATE: I am wrong sorry, there is a bug: when changing the Tracker of the new issue, template is not updated.

#27 - 2013-10-17 16:16 - Ilya Demenkov

+1 vote.

We are currently using http://www.r-labs.org/projects/issue-template plugin as advised by John McBade at #11210 for this, but its features are limited,

not not mention it's better to have such feature built-in.

As I've described in #11210, such feature should allow to set default values for most fields of an issues, not just for its description.

#28 - 2013-11-17 22:27 - Alessio Pollero

+1 Vote

It should be a must !

#29 - 2013-11-24 02:15 - Masumitsu Hatta
+1

#30 - 2013-12-31 16:12 - Massimiliano Donati

+1

#31 - 2013-12-31 18:47 - Jan from Planio www.plan.io

We've discussed this at Planio at lengths and the verdict was we don't think it's a good idea. It will create large chunks of unstructured text and

possibly boilerplate content that cannot be queried against or otherwise be used.

In my opinion, the world should be as structured as possible and we already have custom fields for that: all the questions one would ask in these

"issue templates" should actually become custom fields. What's even better: you can make them mandatory, searchable and things will just generally

be much better than with templates.

#32 - 2014-01-03 08:09 - TridenT Job

I would like to use template for my 'backlog' and 'story' bug trackers.

Today, the template is store in a wiki page, and is copy/paste every time.

Template for trackers enables:

help the submitter to structure the feedback

Give directions, advices to submitter

same format for ticket

better than custom fields as it is open to any formatted text

#33 - 2014-01-08 15:37 - Christian Dähn

There are reasons for, but even against custom fields.

E.g. if you have different types of tickets like "service case" and "feature request".

For "service case" the description has to answer some questions, which are EVERYTIME free text answers (what did the customer report? what are

possible reasons for the problem? what are the next steps? what is the solution?). When we search for keywords it's not predictable in which of these

questions/sections (or: custom fields) these keywords occurr. Therefore we just search the issue description to filter our results - which is efficient for

searching, as for creating/editing.

For "feature request" non of the above questions/sections (or: custom fields) can be reused - there are different questions which are entered as free

text. So it's very hard to find custom fields, which match all or even most of the description sections of different ticket types.

Further we discussed this topic with our devs and users - with some experiences with issue templates and many custom fields in our previous Trac

system. As result the users were happy that they didn't have to face with the big number of form input fields like in Trac (where we splitted our

discription into different custom fields) and love the (by url passing filled) description template, where they only have to replace some placeholders

with the content.

So: For some cases custom fields is the cleaner and more effective approach, for some cases issue templates do a really better job (covering more

than just the description).

Hope this point of view helps a little.

ciao,

Chris

#34 - 2016-09-06 21:57 - Fred B

This can be done in sharepoint when creating project. A project template can be choosed and it create task, user, etc.

In Redmine, this would be particulary usefull to have a template for particular issues, that would auto create sub-tasks and checklists.

This would be a really valueable feature.

#35 - 2016-09-07 14:31 - Toshi MARUYAMA

- Has duplicate deleted (Feature #1138: Issue templates)

#36 - 2016-09-07 14:32 - Toshi MARUYAMA

- Has duplicate Feature #3153: Default description text added

#37 - 2016-09-07 15:11 - Toshi MARUYAMA

- Related to Feature #6715: Issue templates added

#38 - 2017-06-07 11:55 - Go MAEDA
- Has duplicate Feature #3594: Custom default value of the description field added

#39 - 2017-07-12 22:56 - Mateus Demboski

+1 for a template per tracker and per project

#40 - 2017-07-12 22:58 - Mateus Demboski

I think that this issue can be a good feature to the next 4.0.0 Redmine version, no? =P =)

#41 - 2019-04-02 18:40 - Go MAEDA

- Target version changed from Candidate for next major release to Unplanned backlogs

#42 - 2019-09-24 09:10 - Greg Christopher

This feature has been asked for in excess of 10 years.

Several duplicate bugs have been logged, showing wide support for the ask.

I see this is moved to unplanned backlog if I understand correctly. It should be a must-fix.

Reasoning:

The description field is free-form. Thus,from many different customers and each customer having different users, I see about 20 different ideas about

what forms a complete description. And none of them are what we need, which is expressed perfectly in comment #2. The problem is that with B2B

deployments, there is no control over what someone enters into redmine and the reduced verbal/human interaction makes this difficult to do.

Although we are using this as a B to B solution, a larger company like IBM would experience similar issues with a geographically diverse set of users

with different styles.

Trackers/Projects tend to have the same types of issues. The ask is only for including per project so it is only used when necessary. And putting a

concise template per tracker will not hurt search- it will help.

Some misconceptions in the processing by the Redmine team:

-The conception that a company internal discussion can solve consistency issues in the description field. Not only do project-internal groups vary in

size and location from case to case (sometimes different time zones), the whole reason for web forms with mandatory fields is to ensure

consistency. This field - the most important one - has no way to do that today. Forms are meant to ensure minimum necessary information in the 

absence of a human being present.

-The conception that Template text will fill the Redmine description database with identical template text. This is not true, templates are meant to be

replaced with the text they template. As an example:

A [Problem your business is experiencing]

B [Preconditions]

1 [1st step to reproduce]

2 [2nd step to reproduce]

Expected Result:[what you expected to see]

Most of this text is replaced with wording specific to the problem as suggested by the use of brackets.

My team wastes literally 100 hours a month due to inconsistency in problem reporting from our customers. We have increased the # of mandatory

and custom fields, but there is no way to create a set of custom fields to handle a 1 to N set of problem steps. This MUST be done with templates.

This was as much a must-fix 10 years ago as it is today.

#43 - 2019-09-24 18:31 - Yuuki NARA

Can you solve it by using the following plug-in?

This plugin is very popular among Japanese Redmine users.

https://github.com/akiko-pusu/redmine_issue_templates

#44 - 2020-01-14 05:52 - Greg Christopher

Sorry for the late reply- of course that plugin should work.

The issue is that our redmine instance is cloud hosted. We are negotiating with the providers to see if we can get it added, thank you.

The cloud hosting situation underscores why it's important that this feature be available by default. Not everyone has the freedom to add plugins.

#45 - 2020-02-15 14:10 - Akiko Takano

Hi, thanks for all and all the contributions to the long-term success of Redmine.

I maintain the small plugin mentioned above, but personally I would be very happy if this feature was implemented in Redmine itself :)

Recently, I added an experimental feature in the latest version that sets the core fields and custom fields as well as descriptions.
But I don't know if this feature will meet everyone's needs.

Could you try out the new features of this plugin if interests?

I'm glad if everyone finds it really worth it and would like to send more detailed feedback and patches to Redmine instead of the plugin.

#46 - 2020-06-03 10:31 - Ryoh HAMADA

+1
